import Component from '../components/Component.js';
import PizzaThumbnail from '../components/PizzaThumbnail.js';
import Page from './Page.js';

export default class PizzaList extends Page {
	#pizzas; // propriété privée

	constructor(pizzas) {
		super('section', { name: 'class', value: 'pizzaList' });
		this.pizzas = pizzas;
	}

	/**
	 * setter de la liste des pizzas.
	 * Génère autant de composants `PizzaThumbnail` que de pizzas dans le tableau
	 * et les stocke dans `this.children`
	 * @param {Array} value Tableau d'objets pizza à afficher
	 */
	set pizzas(value) {
		this.#pizzas = value;
		this.children = this.#pizzas.map(pizza => new PizzaThumbnail(pizza));
	}
}
